Skip to main content
`Ctrl`+`K`

# TSGetRHSFunction

Returns the vector where the right-hand side is stored and the function/context to compute it.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRHSFunction(TS ts, Vec *r, TSRHSFunctionFn **func, PetscCtxRt ctx)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameters

- r - vector to hold computed right-hand side (or `NULL`)

- func - the function to compute right-hand side (or `NULL`)

- ctx - the function context (or `NULL`)

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `SNESGetFunction()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages